# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class ExtendedProperty

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.extensions.ExtendedProperty

All Implemented Interfaces:
  Extension

    public class ExtendedProperty

extends ExtensionPoint

GData schema extension describing an entity's auxiliary property.

Nested Class Summary
`static class` `ExtendedProperty.Realm` Limits on where the extended property applies.

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary
`protected java.lang.String` `name` Property name expressed as an URI (required).
`protected java.lang.String` `realm` Limits on where the extended property applies.
`protected java.lang.String` `val` Property value (required).

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`ExtendedProperty()`

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates an XML representation for the extension.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.
`java.lang.String` `getName()`
`java.lang.String` `getRealm()`
`java.lang.String` `getValue()`
`boolean` `hasRealm()`
`boolean` `hasValue()`
`protected void` `initializeArbitraryXml(ExtensionProfile profile, java.lang.Class<? extends ExtensionPoint> extPoint, XmlParser.ElementHandler handler)` Overrides arbitrary XML initialization - ExtendedProperty needs mixed content as well.
`void` `setName(java.lang.String n)`
`void` `setRealm(java.lang.String r)`
`void` `setValue(java.lang.String v)`
`java.lang.String` `toString()` Convert to String for debugging

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, declareExtensions, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild, visitChildren`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Property name expressed as an URI (required). Extended property URIs follow the {scheme}#{local-name} convention.

  eg: `http://schemas.google.com/g/2005#exif.focalLength`

### val

    protected java.lang.String val

  Property value (required).

### realm

    protected java.lang.String realm

  Limits on where the extended property applies.

Constructor Detail

### ExtendedProperty

    public ExtendedProperty()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String n)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String v)

### hasValue

    public boolean hasValue()

### getRealm

    public java.lang.String getRealm()

### setRealm

    public void setRealm(java.lang.String r)

### hasRealm

    public boolean hasRealm()

### toString

    public java.lang.String toString()

  Convert to String for debugging

  Overrides:
    `toString` in class `java.lang.Object`

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Description copied from interface: `Extension`
  Generates an XML representation for the extension.

  Specified by:
    `generate` in interface `Extension`
  Overrides:
    `generate` in class `AbstractExtension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)

  Description copied from class: `AbstractExtension`
  The default implementation uses the `AbstractExtension.AttributesHandler` to handle parsing the extension.

  Specified by:
    `getHandler` in interface `Extension`
  Overrides:
    `getHandler` in class `ExtensionPoint`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler

### initializeArbitraryXml

    protected void initializeArbitraryXml(ExtensionProfile profile,
                                          java.lang.Class<? extends ExtensionPoint> extPoint,
                                          XmlParser.ElementHandler handler)

  Overrides arbitrary XML initialization - ExtendedProperty needs mixed content as well.

  Overrides:
    `initializeArbitraryXml` in class `ExtensionPoint`